DCFILE(1)

NAME
dcfile - ACR/NEMA DICOM PS3 ... DICOM PS3 - Describe DICOM file content

SYNOPSIS

dcfile [ -b|brief ] [ -filename ]

DESCRIPTION

dcfile reads the named dicom or acr-nema input file and describes the encoding method of the file, ie. what transfer syntax is in use, and whether or not a Part 10 style meta-information header is present.

OPTIONS
The description goes to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-b|brief
    Display a single line brief summary.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

% dcfile dicomdir.
Meta: UID 1.2.840.10008.1.2.1
Meta: Description "Explicit VR Little Endian"
Meta: ByteOrder Little
Meta: VR Explicit
Meta: Encapsulated No
Data: UID 1.2.840.10008.1.2.1
Data: Description "Explicit VR Little Endian"
Data: ByteOrder Little
Data: VR Explicit
Data: Encapsulated No
% dcfile expmeta.dc3
Meta: UID 1.2.840.10008.1.2.1
Meta: Description "Explicit VR Little Endian"
Meta: ByteOrder Little
Meta: VR Explicit
Meta: Encapsulated No
Data: UID 1.2.840.10008.1.2
Data: Description "Implicit VR Little Endian"
Data: ByteOrder Little
Data: VR Implicit
Data: Encapsulated No
% dcfile NM.1
Data: UID 1.2.840.10008.1.2
Data: Description "Implicit VR Little Endian"
Data: ByteOrder Little
Data: VR Implicit
Data: Encapsulated No
% dcfile test.spi
Data: ByteOrder Big
Data: VR Implicit
Data: Encapsulated No
% dcfile -b evrlewm.dcm
DICOM file, with metaheader, Explicit VR Little Endian
% dcfile -b evrlenom.dcm
DICOM file, no metaheader, Explicit VR Little Endian

FILES

SEE ALSO
file(1), dcdump(1), dcintro(1)

AUTHOR
Copyright (c) 1993-2022, David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS